PAM upgrade from 3.0.2 to 3.1.1 failed with "PAM-CMN-1264: Upgrade failed. Please review the audit log and then perform a system recovery" error message

Document ID : KB000106957
Last Modified Date : 13/09/2018
Show Technical Document Details
Issue:
We attempted to upgrade PAM 3.0.2 to 3.1.1, but it failed. After reboot the following upgrade error message was observed:

PAM-CMN-1264: Upgrade failed. Please review the audit log and then perform a system recovery.

 
Environment:
PAM 3.0.2
Cause:
The most likely cause is a known bug related to a failure of altering a database table during the upgrade. Whether or not a PAM instance is affected depends on the upgrade history and configuration.
If logs.bin file is collected CA Technical Support can find the following error in the installation log.

--------------
ALTER TABLE `uag`.`kdc_server`
DROP FOREIGN KEY `kdc_server_ibfk_1`
--------------

Mysql schema update of file 3.1.0_upgrade.sql failed 1, we're going to abort
Resolution:
The CAPAM_3.0.2.17 hotfix resolves this issue.
Please go to

https://support.ca.com/us/product-content/recommended-reading/technical-document-index/ca-privileged-access-manager-solutions-patches.html

and download CAPAM_3.0.2.17 hotfix. Apply this hotfix first, and then retry the upgrade to 3.1.1.


NOTE: There has been at least one case in which the upgrade to 3.1.1 still failed after applying the hotfix. If you encounter this problem, please open a support case with CA support.